Zum Hauptinhalt springen

Update a customer membership

PATCH/v2/customer-memberships/{customerMembershipId}
API-Version
v2
Request-Methode
PATCH
Operation-ID
customer-update-customer-membership

Request​

  • customerMembershipIdstring (uuid)required

    ID of the CustomerMembership to be updated.

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X PATCH \
-d '{"expiresAt":"1985-10-26T01:21:00.000Z","role":"notset"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/customer-memberships/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.customer.updateCustomerMembership({
"customerMembershipId": "f0f86186-0a5a-45b2-aa33-502777496347",
"data": {
"expiresAt": "1985-10-26T01:21:00.000Z",
"role": "notset"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Customer\UpdateCustomerMembership\UpdateCustomerMembershipRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Customer\UpdateCustomerMembership\UpdateCustomerMembershipRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdateCustomerMembershipRequestBody to learn how to construct a valid instance
$body = new UpdateCustomerMembershipRequestBody(/* TODO: ... */);

$request = (new UpdateCustomerMembershipRequest(
customerMembershipId: "f0f86186-0a5a-45b2-aa33-502777496347",
body: $body
));
$response = $client->customer()->updateCustomerMembership($request);

var_dump($response->getBody();

Auf dieser Seite